## wildfly:undeploy-artifact

Full name:

org.wildfly.plugins:wildfly-maven-plugin:5.0.0.Final:undeploy-artifact

Description:

Undeploys (removes) an arbitrary artifact to the WildFly application server

Attributes:

- Requires a Maven project to be executed.
- Requires dependency resolution of artifacts in scope: `runtime`.
- The goal is thread-safe and supports parallel builds.

### Optional Parameters

Name | Type | Since | Description
--- | --- | --- | ---
`<artifactId>` | `String` | `-` | The artifact to deploys artifactId
`<authenticationConfig>` | `URL` | `-` | A URL which points to the authentication configuration (`wildfly-config.xml`) the client uses to authenticate with the server. User Property: `wildfly.authConfig` Alias: `authentication-config`
`<classifier>` | `String` | `-` | The artifact to deploys classifier. Note that the classifier must also be set on the dependency being deployed.
`<groupId>` | `String` | `-` | The artifact to deploys groupId
`<hostname>` | `String` | `-` | Specifies the host name of the server where the deployment plan should be executed. Default: `localhost` User Property: `wildfly.hostname`
`<id>` | `String` | `-` | Specifies the id of the server if the username and password is to be retrieved from the settings.xml file User Property: `wildfly.id`
`<ignoreMissingDeployment>` | `boolean` | `-` | Indicates whether undeploy should ignore the undeploy operation if the deployment does not exist. Default: `true` User Property: `undeploy.ignoreMissingDeployment`
`<name>` | `String` | `-` | Specifies the name used for the deployment. The default name is derived from the `project.build.finalName` and the packaging type. User Property: `wildfly.deployment.name`
`<password>` | `String` | `-` | Specifies the password to use if prompted to authenticate by the server. If no password is specified and the server requests authentication the user will be prompted to supply the password, User Property: `wildfly.password`
`<port>` | `int` | `-` | Specifies the port number the server is listening on. Default: `9990` User Property: `wildfly.port`
`<protocol>` | `String` | `-` | The protocol used to connect to the server for management. User Property: `wildfly.protocol`
`<serverGroups>` | `List<String>` | `-` | The server groups the content should be deployed to. User Property: `wildfly.serverGroups` Alias: `server-groups`
`<skip>` | `boolean` | `-` | Set to `true` if you want the deployment to be skipped, otherwise `false`. Default: `false` User Property: `wildfly.skip`
`<timeout>` | `int` | `-` | The timeout, in seconds, to wait for a management connection. Default: `60` User Property: `wildfly.timeout`
`<username>` | `String` | `-` | Specifies the username to use if prompted to authenticate by the server. If no username is specified and the server requests authentication the user will be prompted to supply the username, User Property: `wildfly.username`

### Parameter Details

#### <artifactId>

The artifact to deploys artifactId

- Type: `java.lang.String`
- Required: `No`

#### <authenticationConfig>

A URL which points to the authentication configuration (`wildfly-config.xml`) the client uses to authenticate with the server.

- Type: `java.net.URL`
- Required: `No`
- User Property: `wildfly.authConfig`
- Alias: `authentication-config`

#### <classifier>

The artifact to deploys classifier. Note that the classifier must also be set on the dependency being deployed.

- Type: `java.lang.String`
- Required: `No`

#### <groupId>

The artifact to deploys groupId

- Type: `java.lang.String`
- Required: `No`

#### <hostname>

Specifies the host name of the server where the deployment plan should be executed.

- Type: `java.lang.String`
- Required: `No`
- User Property: `wildfly.hostname`
- Default: `localhost`

#### <id>

Specifies the id of the server if the username and password is to be retrieved from the settings.xml file

- Type: `java.lang.String`
- Required: `No`
- User Property: `wildfly.id`

#### <ignoreMissingDeployment>

Indicates whether undeploy should ignore the undeploy operation if the deployment does not exist.

- Type: `boolean`
- Required: `No`
- User Property: `undeploy.ignoreMissingDeployment`
- Default: `true`

#### <name>

Specifies the name used for the deployment.

The default name is derived from the `project.build.finalName` and the packaging type.

- Type: `java.lang.String`
- Required: `No`
- User Property: `wildfly.deployment.name`

#### <password>

Specifies the password to use if prompted to authenticate by the server.

If no password is specified and the server requests authentication the user will be prompted to supply the password,

- Type: `java.lang.String`
- Required: `No`
- User Property: `wildfly.password`

#### <port>

Specifies the port number the server is listening on.

- Type: `int`
- Required: `No`
- User Property: `wildfly.port`
- Default: `9990`

#### <protocol>

The protocol used to connect to the server for management.

- Type: `java.lang.String`
- Required: `No`
- User Property: `wildfly.protocol`

#### <serverGroups>

The server groups the content should be deployed to.

- Type: `java.util.List<java.lang.String>`
- Required: `No`
- User Property: `wildfly.serverGroups`
- Alias: `server-groups`

#### <skip>

Set to `true` if you want the deployment to be skipped, otherwise `false`.

- Type: `boolean`
- Required: `No`
- User Property: `wildfly.skip`
- Default: `false`

#### <timeout>

The timeout, in seconds, to wait for a management connection.

- Type: `int`
- Required: `No`
- User Property: `wildfly.timeout`
- Default: `60`

#### <username>

Specifies the username to use if prompted to authenticate by the server.

If no username is specified and the server requests authentication the user will be prompted to supply the username,

- Type: `java.lang.String`
- Required: `No`
- User Property: `wildfly.username`